/// <reference types="react" />
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { DragProps, Item } from '@highlight-ui/drag-and-drop';
import { ListItem, MenuVariants } from './types';
export declare type MenuProps<D extends Item = Item> = PropsWithMetadata<{
    /** List of objects of generic type `T` extending `Item`, `Item` data structure can be found in Addtional types */
    items: ListItem[];
    /** Sets clicked item to the active and returns item */
    onClick: (item: ListItem) => void;
    /** See in Additional types  */
    dragProps?: DragProps<ListItem, D>;
    /** Applies anchor menu style */
    variant?: MenuVariants.DEFAULT | MenuVariants.ANCHOR;
}>;
declare function Menu<D extends Item = Item>({ items, onClick, dragProps, variant, metadata, }: MenuProps<D>): JSX.Element;
export default Menu;
